Zoom Revenue Accelerator Webhooks
- OpenAPI Version:
3.1.0 - API Version:
1.0.0
Operations
POST revenue_accelerator.conversation_analysis_completed
- Method:
POST - Path:
revenue_accelerator.conversation_analysis_completed - Tags: revenue_accelerator
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who recorded the conversation. -
object(required)object— Information about the conversation.-
conversation_id(required)string— The conversation's ID. -
engagement_idstring— The ID of the engagement in Zoom Contact Center (ZCC) that this conversation is associated with. Present only when the conversation source is ZOOM_CONTACT_CENTER. -
host_idstring— The conversation host's Zoom user ID. -
sourcestring, possible values:"ZOOM_MEETING", "ZOOM_PHONE", "ZOOM_CONTACT_CENTER", "MICROSOFT_TEAMS", "GOOGLE_MEET", "OTHERS"— The conversation's source.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"conversation_id": "",
"source": "ZOOM_MEETING",
"host_id": "",
"engagement_id": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who recorded the conversation. -
object(required)object— Information about the conversation.-
conversation_id(required)string— The conversation's ID. -
engagement_idstring— The ID of the engagement in Zoom Contact Center (ZCC) that this conversation is associated with. Present only when the conversation source is ZOOM_CONTACT_CENTER. -
host_idstring— The conversation host's Zoom user ID. -
sourcestring, possible values:"ZOOM_MEETING", "ZOOM_PHONE", "ZOOM_CONTACT_CENTER", "MICROSOFT_TEAMS", "GOOGLE_MEET", "OTHERS"— The conversation's source.
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"conversation_id": "",
"source": "ZOOM_MEETING",
"host_id": "",
"engagement_id": ""
}
}
}
POST revenue_accelerator.playlist_remove_moment
- Method:
POST - Path:
revenue_accelerator.playlist_remove_moment - Tags: revenue_accelerator
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who removed the moment. -
object(required)object— Details about the removed moment.-
moment_id(required)string— The ID of the removed moment. -
playlist_id(required)string— The ID of the playlist from which the moment was removed. -
moment_namestring— The name of the removed moment. -
playlist_detail_idstring— The ID representing the relationship between the playlist and the moment. -
playlist_namestring— The name of the playlist from which the moment was removed. -
update_timeinteger— The timestamp (in milliseconds) when the moment was removed from the playlist.
-
-
operatorstring— The identifier of the user who added the moment to the playlist, represented by email. -
operator_idstring— The ID of the user who added the moment to the playlist.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"playlist_detail_id": "",
"moment_id": "",
"moment_name": "",
"update_time": 1
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who removed the moment. -
object(required)object— Details about the removed moment.-
moment_id(required)string— The ID of the removed moment. -
playlist_id(required)string— The ID of the playlist from which the moment was removed. -
moment_namestring— The name of the removed moment. -
playlist_detail_idstring— The ID representing the relationship between the playlist and the moment. -
playlist_namestring— The name of the playlist from which the moment was removed. -
update_timeinteger— The timestamp (in milliseconds) when the moment was removed from the playlist.
-
-
operatorstring— The identifier of the user who added the moment to the playlist, represented by email. -
operator_idstring— The ID of the user who added the moment to the playlist.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"playlist_detail_id": "",
"moment_id": "",
"moment_name": "",
"update_time": 1
}
}
}
POST revenue_accelerator.playlist_add_moment
- Method:
POST - Path:
revenue_accelerator.playlist_add_moment - Tags: revenue_accelerator
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who added the moment to the playlist. -
object(required)object— Details about adding the moment to the playlist.-
moment_id(required)string— The ID of the moment that was added to the playlist. -
playlist_id(required)string— The ID of the playlist the moment was added to. -
moment_namestring— The name of the moment that was added to the playlist. -
playlist_detail_idstring— The ID representing the relationship between the playlist and the moment. -
playlist_namestring— The name of the playlist the moment was added to. -
update_timeinteger— The timestamp (in milliseconds) when the moment was added to the playlist.
-
-
operatorstring— The identifier of the user who added the moment to the playlist, represented by email. -
operator_idstring— The ID of the user who added the moment to the playlist.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"playlist_detail_id": "",
"moment_id": "",
"moment_name": "",
"update_time": 1
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who added the moment to the playlist. -
object(required)object— Details about adding the moment to the playlist.-
moment_id(required)string— The ID of the moment that was added to the playlist. -
playlist_id(required)string— The ID of the playlist the moment was added to. -
moment_namestring— The name of the moment that was added to the playlist. -
playlist_detail_idstring— The ID representing the relationship between the playlist and the moment. -
playlist_namestring— The name of the playlist the moment was added to. -
update_timeinteger— The timestamp (in milliseconds) when the moment was added to the playlist.
-
-
operatorstring— The identifier of the user who added the moment to the playlist, represented by email. -
operator_idstring— The ID of the user who added the moment to the playlist.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"playlist_detail_id": "",
"moment_id": "",
"moment_name": "",
"update_time": 1
}
}
}
POST revenue_accelerator.playlist_create
- Method:
POST - Path:
revenue_accelerator.playlist_create - Tags: revenue_accelerator
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who created the playlist. -
object(required)object— Details about the created playlist.-
playlist_id(required)string— The ID of the created playlist. -
playlist_name(required)string— The name of the created playlist. -
playlist_type(required)string, possible values:"BASIC", "SMART"— The type of playlist created. -
create_timeinteger— The creation timestamp, in milliseconds.
-
-
operatorstring— The identifier of the user who created the playlist, represented by email. -
operator_idstring— The ID of the user who created the playlist.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_type": "BASIC",
"playlist_name": "",
"create_time": 1
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who created the playlist. -
object(required)object— Details about the created playlist.-
playlist_id(required)string— The ID of the created playlist. -
playlist_name(required)string— The name of the created playlist. -
playlist_type(required)string, possible values:"BASIC", "SMART"— The type of playlist created. -
create_timeinteger— The creation timestamp, in milliseconds.
-
-
operatorstring— The identifier of the user who created the playlist, represented by email. -
operator_idstring— The ID of the user who created the playlist.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_type": "BASIC",
"playlist_name": "",
"create_time": 1
}
}
}
POST revenue_accelerator.post_comment_completed
- Method:
POST - Path:
revenue_accelerator.post_comment_completed - Tags: revenue_accelerator
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID under which the comment was created. -
object(required)object— Detailed information about the comment.-
comment_id(required)string— The unique identifier of the comment. -
conversation_id(required)string— The unique identifier of the conversation being commented on. -
textstring— The content of the comment.
-
-
operatorstring— The identifier of the user who posted the comment, represented by email. -
operator_idstring— The unique identifier of the user who posted the comment.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"comment_id": "",
"conversation_id": "",
"text": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID under which the comment was created. -
object(required)object— Detailed information about the comment.-
comment_id(required)string— The unique identifier of the comment. -
conversation_id(required)string— The unique identifier of the conversation being commented on. -
textstring— The content of the comment.
-
-
operatorstring— The identifier of the user who posted the comment, represented by email. -
operator_idstring— The unique identifier of the user who posted the comment.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"comment_id": "",
"conversation_id": "",
"text": ""
}
}
}
POST revenue_accelerator.playlist_delete
- Method:
POST - Path:
revenue_accelerator.playlist_delete - Tags: revenue_accelerator
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who deleted the playlist. -
object(required)object— Details about the deleted playlist.-
playlist_id(required)string— The ID of the deleted playlist. -
delete_timeinteger— The timestamp when the playlist was deleted, in milliseconds. -
playlist_namestring— The name of the deleted playlist.
-
-
operatorstring— The identifier of the user who deleted the playlist, represented by email. -
operator_idstring— The ID of the user who deleted the playlist.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"delete_time": 1
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who deleted the playlist. -
object(required)object— Details about the deleted playlist.-
playlist_id(required)string— The ID of the deleted playlist. -
delete_timeinteger— The timestamp when the playlist was deleted, in milliseconds. -
playlist_namestring— The name of the deleted playlist.
-
-
operatorstring— The identifier of the user who deleted the playlist, represented by email. -
operator_idstring— The ID of the user who deleted the playlist.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator_id": "",
"operator": "",
"object": {
"playlist_id": "",
"playlist_name": "",
"delete_time": 1
}
}
}
POST revenue_accelerator.conversation_crm_associations_changed
- Method:
POST - Path:
revenue_accelerator.conversation_crm_associations_changed - Tags: revenue_accelerator
Request Body
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The Zoom account ID where the changes occurred. -
object(required)array— Incremental changes of conversation associations with CRM objects.Items:
-
conversation_idstring— ZRA Conversation ID. -
new_associationsarray— List of CRM object IDs to be associated with the conversation.Items:
-
account_idstring— CRM account object ID. -
deal_idstring— CRM deal object ID. -
lead_idstring— CRM lead object ID.
-
-
old_associationsarray— List of CRM object IDs whose associations with the conversation will be removed.Items:
-
account_idstring— CRM account object ID. -
deal_idstring— CRM deal object ID. -
lead_idstring— CRM lead object ID.
-
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": [
{
"conversation_id": "",
"old_associations": [
{
"deal_id": "006aa00000JkrXiAAR",
"account_id": "006aa00000JkrQiiAx",
"lead_id": "006aa00000LmrAxiRj"
}
],
"new_associations": [
{
"deal_id": "006aa00000JkrXiAAR",
"account_id": "006aa00000JkrQiiAx",
"lead_id": "006aa00000LmrAxiRj"
}
]
}
]
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The Zoom account ID where the changes occurred. -
object(required)array— Incremental changes of conversation associations with CRM objects.Items:
-
conversation_idstring— ZRA Conversation ID. -
new_associationsarray— List of CRM object IDs to be associated with the conversation.Items:
-
account_idstring— CRM account object ID. -
deal_idstring— CRM deal object ID. -
lead_idstring— CRM lead object ID.
-
-
old_associationsarray— List of CRM object IDs whose associations with the conversation will be removed.Items:
-
account_idstring— CRM account object ID. -
deal_idstring— CRM deal object ID. -
lead_idstring— CRM lead object ID.
-
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": [
{
"conversation_id": "",
"old_associations": [
{
"deal_id": "006aa00000JkrXiAAR",
"account_id": "006aa00000JkrQiiAx",
"lead_id": "006aa00000LmrAxiRj"
}
],
"new_associations": [
{
"deal_id": "006aa00000JkrXiAAR",
"account_id": "006aa00000JkrQiiAx",
"lead_id": "006aa00000LmrAxiRj"
}
]
}
]
}
}